<?php
function smarty_function_echo($params,$smarty) {
	$message = '';
	if($params['file']) {
		$message .= $smarty->fetch($params['file']);
	}
	if($params['text']) {
		$message .= $params['text'];
	}
	$message = mb_convert_encoding($message,$smarty->C['ENCODING'],"UTF-8");
	return $message;
}
?>
